from django import template
from settings.models import SiteSettings, StaticPage

register = template.Library()


@register.tag('load_site_settings')
def load_site_settings(parser, token):
    return LoadSiteSettingsNode()


@register.tag('load_static_pages')
def load_static_pages(parser, token):
    return LoadStaticPagesNode()


class LoadSiteSettingsNode(template.Node):
    def render(self, context):
        context['site_settings'] = SiteSettings.get_settings()
        return ''


class LoadStaticPagesNode(template.Node):
    def render(self, context):
        context['static_pages'] = StaticPage.objects.all()
        return ''
