from django.urls import path
from .views import SettingsView, EditSiteSettingsView, degrade_user, promote_user, CreateStaticPageView, StaticPageView, DeleteStaticPageView, EditStaticPageView

app_name = 'settings'
urlpatterns = [
    path(
        '',
        SettingsView.as_view(),
        name='index'
    ),
    path(
        'site_settings',
        EditSiteSettingsView.as_view(),
        name='site-settings'
    ),
    path(
        'degrade_user/<int:pk>',
        degrade_user,
        name='degrade-user',
    ),
    path(
        'promote_user',
        promote_user,
        name='promote-user',
    ),
    path(
        'static_page/new',
        CreateStaticPageView.as_view(),
        name='staticpage-new'
    ),
    path(
        'static_page/<int:pk>',
        StaticPageView.as_view(),
        name='staticpage'
    ),
    path(
        'static_page/<int:pk>/delete',
        DeleteStaticPageView.as_view(),
        name='staticpage-delete'
    ),
    path(
        'static_page/<int:pk>/edit',
        EditStaticPageView.as_view(),
        name='staticpage-edit'
    )
]
